### 官方文档：https://github.com/xuxueli/xxl-job

### 如何接入使用

#### 1.项目中引入jar包

```
    <dependency>
        <groupId>com.ydl</groupId>
        <artifactId>xxl-job-spring-boot-starter</artifactId>
        <version>0.0.1-SNAPSHOT</version>
    </dependency>
```
        
#### 2.配置application文件
    
```
    ### 调度中心地址，集群可多地址
    
    xxl.job.admin-addresses=http://121.41.92.140:8093/xxl-job-admin，http://121.41.92.140:8094/xxl-job-admin
    
    ### 执行器名称，项目集群中名称一致。
    
    xxl.job.executor-appName=work-order
    
    ### 类似dubbo的端口，由运维为项目分配
    
    xxl.job.executor-port=9999
```
    
#### 3.项目中定时任务改写
    
``` 
    继承IJobHandler接口，execute方法中实现定时逻辑，注解JobHandler中定义value值
    
    示例：

    @JobHandler(value = "dispatchDuringTimeHandler")
    @Component
    @Slf4j
    public class DispatchDuringTime extends IJobHandler {
        @Resource
        private CrmDispatchDataBiz crmDispatchDataBiz;
    
        @Override
        public ReturnT<String> execute(String param) throws Exception {
            crmDispatchDataBiz.currentData();
            return SUCCESS;
        }
    }
```
#### 4.调度中心中添加配置
    
    每个项目需添加执行管理器（每个项目设置一次）
    
    为每个JobHandler设置定时任务代替
    @Scheduled(cron = "0 0 3 * * ?")

#### 5.调度中心配置地址（测试）
    http://121.41.92.140:8093/xxl-job-admin/
    admin
    123456

    
