package com.ydl.xxljobspringbootautoconfiguration;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author wbb
 * xxl.job.admin.addresses=http://127.0.0.1:8080/xxl-job-admin
 * ### xxl-job executor address
 * xxl.job.executor.appname=xxl-job-executor-sample
 * xxl.job.executor.ip=
 * xxl.job.executor.port=9999
 * ### xxl-job, access token
 * xxl.job.accessToken=
 * ### xxl-job log path
 * xxl.job.executor.logpath=/data/applogs/xxl-job/jobhandler
 * ### xxl-job log retention days
 * xxl.job.executor.logretentiondays=30
 */
@Data
@ConfigurationProperties(
		prefix = "xxl.job"
)
public class XxlJobProperties {
	private String adminAddresses = "http://121.41.92.140:8093/xxl-job-admin";
	private String accessToken;
	private String executorAppName = "xxl-job-executor-default";
	private String executorIp;
	private int executorPort = 9999;
	private String executorLogPath;
	private int executorLogRetentionDays = 30;
}
